# Customize replies with Markdown

Bot and operator messages can be further customized using Markdown syntax to add style, linking, tables, lists, etc.

Some Markdown features are fully functional, some are partially supported and some are not supported.

{% hint style="danger" %}
As not all social channels support markdown in the same way, be careful with the tags you use.
{% endhint %}

## Reference <a href="#supported-markdown-features" id="supported-markdown-features"></a>

| **Feature**                                       | **Example**                                                                                                                     | Web/Livechat Support                                                                                                                                                                                               | Mobile SDK support                                            |
| ------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------- |
| Bold                                              | `**bold**`                                                                                                                      | 🟢 Yes                                                                                                                                                                                                             | 🟢 Yes                                                        |
| Bold italic                                       | `***bold italic***`                                                                                                             | 🟢 Yes                                                                                                                                                                                                             | <p>🔴 No<br><em>Android only</em></p>                         |
| Italic                                            | `*italic*`                                                                                                                      | 🟢 Yes                                                                                                                                                                                                             | 🟢 Yes                                                        |
| Strikethrough                                     | `~~strikethrough~~`                                                                                                             | 🟢 Yes                                                                                                                                                                                                             | 🟢 Yes                                                        |
| Title                                             | `# I'm a title\n## I'm another title`                                                                                           | <p>🔵 Partially<br><em>Same level for all titles</em></p>                                                                                                                                                          | <p>🔴 No<br><em>Android only</em></p>                         |
| Paragraph                                         | `Paragraph 1\n\n\nParagraph2`                                                                                                   | <p>🔵 Partially<br><em>The space between each paragraph is only 5px</em></p>                                                                                                                                       | 🟢 Yes                                                        |
| Line Break                                        | `Line 1\nLine2`                                                                                                                 | 🟢 Yes                                                                                                                                                                                                             | 🟢 Yes                                                        |
| Code                                              | `` `Code` ``                                                                                                                    | 🟢 Yes                                                                                                                                                                                                             | <p>🔴 No<br><em>Android only</em></p>                         |
| Code block                                        | <p><code>var foo = 'bar';\n alert('foo: ', foo);</code><br><br>or<br><br><code>var foo = 'bar';\nalert('foo:', foo);</code></p> | <p>🟢 Yes<br><em>Indent with four spaces or use three backticks</em></p>                                                                                                                                           | 🔴 No                                                         |
| Table                                             | \`\\                                                                                                                            | <p>🟢 Yes<br><em>Syntax \</em></em></p>                                                                                                                                                                            | 🔴 No                                                         |
| Horizontal rule                                   | `\n\n---`                                                                                                                       | <p>🟢 Yes<br><em>For compatibility, put blank lines before and after horizontal rules.</em></p>                                                                                                                    | <p>🔴 No<br><em>Android only</em></p>                         |
| <p>Blockquote<br>(Multiple paragraphs)</p>        | `> I'm a\n> multiple lines blockquotes`                                                                                         | <p>🔵 Partially<br><em>Line break is supported but not paragraph</em></p>                                                                                                                                          | 🔴 No                                                         |
| <p>Blockquote<br>(Nested)</p>                     | `> Nested\n>> Blockquotes`                                                                                                      | 🟢 Yes                                                                                                                                                                                                             | 🔴 No                                                         |
| <p>Blockquote<br>(Single line)</p>                | `> I'm a single line blockquote`                                                                                                | 🟢 Yes                                                                                                                                                                                                             | 🔴 No                                                         |
| <p>Blockquote<br>(With other elements inside)</p> | `> # Title\n> ***bold italic***\n> - List item 1\n> - List item 2\n> - Sub item 1`                                              | <p>🔵 Partially<br><em>Refer to this table to know what is supported inside blockquotes</em></p>                                                                                                                   | 🔴 No                                                         |
| Images                                            | `![Description](https://image-url…)`                                                                                            | <p>🔵 Partially<br><em>Instead of an embedded image in the chat, a link is displayed.</em></p>                                                                                                                     | <p>🔴 No<br><em>Android only</em></p>                         |
| Link                                              | `[iAdvize](https://www.iadvize.com "Go on the iAdvize Website")`                                                                | <p>🔵 Partially<br><em>Link description is not displayed on hover</em></p>                                                                                                                                         | 🟢 Yes                                                        |
| <p>Link<br>(email address)</p>                    | `<fakeemail@fakeprovider.com>`                                                                                                  | <p>🟢 Yes<br><em>Quickly turn an email into a "mailto" url</em></p>                                                                                                                                                | <p>🔴 No<br><em>Android only</em></p>                         |
| <p>Link<br>(on anchor)</p>                        | `[iAdvize](#iadvize)`                                                                                                           | 🔴 No                                                                                                                                                                                                              | 🔴 No                                                         |
| <p>Link<br>(quick link)</p>                       | `<https://www.iadvize.com>`                                                                                                     | <p>🟢 Yes<br><em>Quickly turn a URL into a link</em></p>                                                                                                                                                           | <p>🔴 No<br><em>Android only</em></p>                         |
| Footnote                                          | `Here's a sentence with a footnote. [^1]\n\n[^1]: This is the footnote.`                                                        | 🟢 Yes                                                                                                                                                                                                             | 🔴 No                                                         |
| <p>List<br>(Definition)</p>                       | `term:\n definition`                                                                                                            | 🔴 No                                                                                                                                                                                                              | 🔴 No                                                         |
| <p>List<br>(nested blockquote)</p>                | `- First item\n > Nested blockquote`                                                                                            | <p>🟢 Yes<br><em>Indent with four spaces then use <code>></code> (greater-than sign) for nested blockquote</em></p>                                                                                                | 🔴 No                                                         |
| <p>List<br>(nested code block)</p>                | `- First item\n var foo = 'bar';\n alert('foo:', foo);`                                                                         | <p>🟢 Yes<br><em>Indent with four spaces then another four spaces (or use three backticks) for nested code block.</em></p>                                                                                         | 🔴 No                                                         |
| <p>List<br>(Nested paragraph)</p>                 | `- First item\n Nested paragraph`                                                                                               | <p>🔵 Partially<br><em>Indent with four spaces for nested paragraph. Line break is supported but not multiple paragraphs</em></p>                                                                                  | 🔴 No                                                         |
| <p>List<br>(Ordered)</p>                          | `1. First item\n2. Second item\n 1. Sub item`                                                                                   | <p>🟢 Yes<br><em>Indent item for nested list</em></p>                                                                                                                                                              | <p>🔵 Partially<br><em>One level only (no sub-items)</em></p> |
| <p>List<br>(Tasks)</p>                            | `- [x] Test Markdown`                                                                                                           | 🟢 Yes                                                                                                                                                                                                             | 🔴 No                                                         |
| <p>List<br>(Unordered)</p>                        | `- First item\n- Second item\n - Sub item`                                                                                      | <p>🟢 Yes<br><em>Indent item for nested list</em></p>                                                                                                                                                              | <p>🔵 Partially<br><em>One level only (no sub-items)</em></p> |
| Escaping                                          | `\*Not italic\*`                                                                                                                | <p>🟢 Yes<br><em>You can escape specials characters with a backslash (<code>\</code>). Depending on your code and the way you return the message, maybe you’ll need to escape with two backslashes</code></em></p> | 🔴 No                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/use-cases/visitor-experience/customize-replies-with-markdown.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
